
Redmine - Feature #7364

Make closed issues in archived projects still accessible read only

2011-01-18 20:48 - Jeff Dillon

Status: Closed Start date: 2011-01-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We reference issue numbers in our src control systems and in other areas. When an issue gets closed and project layouts get moved

around, closed issues end up in dead projects that are archived.

The problem is that when you access the link of a dead issue, it's not found with a permission error.

Make it so that the issue can be accessed read only, even if the project is archived.

Related issues:

Related to Redmine - Feature #3640: Freeze / Close Projects Closed 2009-07-20

History

#1 - 2011-03-25 09:22 - Etienne Massip

- Category set to Issues

#2 - 2011-05-03 21:20 - David Lyons

This is pretty annoying for us as well, there is a lot of knowledge in the old tickets that is not available simply because redmine is blocking access to

the archived projects tickets. It seems silly that the search is incapable of finding archived tickets.

#3 - 2012-08-07 19:15 - Alex Dergachev

This might be duplicate of http://www.redmine.org/issues/6049

#4 - 2015-04-07 04:37 - Go MAEDA

- Status changed from New to Closed

With "Close projects" feature added by #3640 (Redmine 2.1.0), you can make projects read only.

#5 - 2015-04-07 04:38 - Go MAEDA

- Related to Feature #3640: Freeze / Close Projects added
